// BK_settings.h : Диалоговое окно CSettingsDlg используется для описания и изменения Настроек приложения
//
#pragma once

#ifndef __AFXWIN_H__
#error "включить stdafx.h до включения этого файла в PCH"
#endif

#include "resource.h"       // основные символы
#include "afxwinappex.h"
#include "Globals.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


class CSettingsDlg : public CDialogEx
{
		// HDD Path's
		struct HDDInfo
		{
			CString Old;
			CString New;
			int Ex;
		};

		HDDInfo m_aHDD[2]
		{
			{ g_strEmptyUnit, g_strEmptyUnit, 0 },
			{ g_strEmptyUnit, g_strEmptyUnit, 0 }
		};

	public:
		CSettingsDlg();

		// Данные диалогового окна
		enum { IDD = IDD_SETTINGSBOX };

		// Реализация
	protected:
		virtual void DoDataExchange(CDataExchange *pDX) override;    // поддержка DDX/DDV
		virtual BOOL OnInitDialog() override;
		virtual void OnOK() override;
		void Save();
		afx_msg void OnBnClickedSelect0();
		afx_msg void OnBnClickedSelect1();
		afx_msg void LoadHDDFileImage(int nDrive);
		afx_msg void OnBnClickedExchange();
		DECLARE_MESSAGE_MAP()
};
